![Gauge Logo](Gauge-Logo.png)

# Welcome to Gauge

[![Join the chat at https://gitter.im/getgauge/gauge](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/getgauge/chat?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge) [![Build Status](https://snap-ci.com/getgauge/gauge/branch/master/build_image)](https://snap-ci.com/getgauge/gauge/branch/master)  [ ![Download Nightly](https://api.bintray.com/packages/gauge/Gauge/Nightly/images/download.svg) ](https://bintray.com/gauge/Gauge/Nightly/_latestVersion)

Gauge is a light weight cross-platform test automation tool. It provides the ability to author test cases in the business language.

Gauge champions the idea of **living/executable documentation**.

Some of its key features include:

* A rich markup based on [markdown](https://en.wikipedia.org/wiki/Markdown)
* Support for writing test code in any programming language. See [Test Code](http://getgauge.io/documentation/user/current/test_code/index.html) for currently supported languages.
* A modular architecture with [plugin](http://getgauge.io/documentation/user/current/plugins/README.html) support.
* Consistency across language implementations.

## Why Gauge?

Certain features of Gauge makes it stand unique amongst others.

* Consistent Cross Platform/Language Support
* Business Language Tests : Supports the concept of executable documentation
* Open Source, so it could be shared freely and improved by others as well
* Simple, Flexible and Rich Syntax
* Helps you create Maintainable and Understandable test suites
* Extensible through [Plugins](http://getgauge.io/documentation/user/current/plugins/README.html) and Hackable
* Supports External Data Sources
* IDE Support

## Get started quickly

* Get gauge installers from the [download page](http://getgauge.io/download.html).
* [Create a gauge project](http://getgauge.io/documentation/user/current/getting_started/creating_a_gauge_project.html)
* [Execute Specifications](http://getgauge.io/documentation/user/current/execution/README.html)

## Find out more

| **[Technical Docs] [techdocs]**     | **[Setup Guide] [setup]**     | **[Roadmap] [roadmap]**           | **[Contributing] [contributing]**           |
|:-------------------------------------:|:-------------------------------:|:-----------------------------------:|:---------------------------------------------:|
| [![i1] [techdocs-image]] [techdocs]<br>Learn more about Gauge Technical details | [![i2] [setup-image]] [setup]<br> Getting started with Gauge | [![i3] [roadmap-image]] [roadmap]<br>Roadmap of Gauge Project | [![i4] [contributing-image]] [contributing]<br>How can you contribute to Gauge? |


## Questions or need help?

Check out the **[Talk to us] (http://github.com/getgauge/gauge/wiki/Talk-to-us)** page on our wiki.

[techdocs-image]: https://d3i6fms1cm1j0i.cloudfront.net/github/images/techdocs.png
[setup-image]: https://d3i6fms1cm1j0i.cloudfront.net/github/images/setup.png
[roadmap-image]: https://d3i6fms1cm1j0i.cloudfront.net/github/images/roadmap.png
[contributing-image]: https://d3i6fms1cm1j0i.cloudfront.net/github/images/contributing.png

[techdocs]:http://getgauge.io/documentation/user/current/getting_started/creating_a_gauge_project.html
[setup]:https://github.com/getgauge/gauge/wiki/Setting-up-Gauge
[roadmap]:http://github.com/getgauge/gauge/wiki/Product-Roadmap
[contributing]:http://github.com/getgauge/gauge/wiki/Contributing

## Add your Badge!
Copy the text below and add it to the README.md of your project using Gauge.

```
[![Gauge Badge](http://getgauge.io/Gauge_Badge.svg)](http://getgauge.io)
```

## License

![GNU Public License version 3.0](http://www.gnu.org/graphics/gplv3-127x51.png)
Gauge is released under [GNU Public License version 3.0](http://www.gnu.org/licenses/gpl-3.0.txt)

## Contributing

Please read the [guide](CONTRIBUTING.md) on contributing to Gauge.

## Copyright

Copyright 2015 ThoughtWorks, Inc.
